Skip to main content
GET
List monitor runs

Authorizations

X-API-KEY
string
header
required

API key created in the Bigdata Developer Platform.

Path Parameters

monitor_id
string<uuid>
required

Unique identifier for the monitor.

Query Parameters

type
enum<string>
default:production

Return runs from the active monitor (production) or a historical test (simulation).

Available options:
production,
simulation
simulation_id
string | null

Return runs from one historical test. Use with type=simulation.

status
enum<string> | null

Filter by run status. PENDING is still processing, COMPLETED is ready to review, and FAILED could not be completed.

Available options:
PENDING,
COMPLETED,
FAILED
include_events
boolean
default:false

Include the structured events found during each run.

limit
integer
default:50

Maximum number of live runs to return. This setting does not affect simulation runs.

Required range: x >= 1

Response

Runs returned.

results
object[]
required
pagination
object
required
metadata
object
required